Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.lib
Class PipeDocument

    java.lang.Object
      |
      +--weblogic.apache.xalan.lib.PipeDocument

public class PipeDocument
extends java.lang.Object

Sets stylesheet params and pipes an XML document through a series of 1 or more stylesheets. PipeDocument is invoked from a stylesheet as the pipeDocument extension element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Donald Leslie

Constructor Summary
`PipeDocument()`

Method Summary
`void` | `pipeDocument(XSLProcessorContext context, ElemExtensionCall elem)` Extension element for piping an XML document through a series of 1 or more transformations.
`void` | `usePipe(java.util.Vector vTHandler, java.lang.String source, java.lang.String target)` Uses a Vector of TransformerHandlers to pipe XML input document through a series of 1 or more transformations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeDocument

    public PipeDocument()

Method Detail

### pipeDocument

    public void pipeDocument(XSLProcessorContext context,
                             ElemExtensionCall elem)
                      throws javax.xml.transform.TransformerException,
                             javax.xml.transform.TransformerConfigurationException,
                             org.xml.sax.SAXException,
                             java.io.IOException,
                             java.io.FileNotFoundException

  Extension element for piping an XML document through a series of 1 or more transformations.

      Common usage pattern: A stylesheet transforms a listing of documents to be
       transformed into a TOC. For each document in the listing calls the pipeDocument
       extension element to pipe that document through a series of 1 or more stylesheets
       to the desired output document.

       Syntax:
       <xsl:stylesheet version="1.0"
                      xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                      xmlns:pipe="xalan://PipeDocument"
                      extension-element-prefixes="pipe">
       ...
       <pipe:pipeDocument   source="source.xml" target="target.xml">
         <stylesheet href="ss1.xsl">
           <param name="param1" value="value1"/>
         </stylesheet>
         <stylesheet href="ss2.xsl">
           <param name="param1" value="value1"/>
           <param name="param2" value="value2"/>
         </stylesheet>
         <stylesheet href="ss1.xsl"/>
       </pipe:pipeDocument>

       Notes:

  - The base URI for the source attribute is the XML "listing" document.
  - The target attribute is taken as is (base is the current user directory).
  - The stylsheet containg the extension element is the base URI for the stylesheet hrefs.

### usePipe

    public void usePipe(java.util.Vector vTHandler,
                        java.lang.String source,
                        java.lang.String target)
                 throws javax.xml.transform.TransformerException,
                        javax.xml.transform.TransformerConfigurationException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException,
                        org.xml.sax.SAXNotRecognizedException

  Uses a Vector of TransformerHandlers to pipe XML input document through a series of 1 or more transformations. Called by `pipeDocument(weblogic.apache.xalan.extensions.XSLProcessorContext, weblogic.apache.xalan.templates.ElemExtensionCall)` and `#main`.

  Parameters:
    `vTHandler` - Vector of Transformation Handlers (1 per stylesheet).
    `source` - absolute URI to XML input
    `target` - absolute path to transformation output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference